<?php
require('../cfg/res.php');
$tabla=strtolower($_POST['tabla']);
$res_lista=mysql_query('show tables like "'.$tabla.'0"',$link_vcrx);


//echo 'show tables like "'.$tabla.'0"';

if(mysql_num_rows($res_lista)==0)
{
	die('<h2>TABLA NO EXISTE</h2>');
}


$sql_maes='update '.$tabla.'0 set '.$tabla.'_status="-" where '.$tabla.'_status is null';
$res_maes=mysql_query($sql_maes,$link_vcrx);

if($tabla=='ctas')
{
//   $sql_ctas='select * from ctas0 where ctas_'
}

$sql_lista='select *from '.$tabla.'0 where '.$tabla.'_status!="X" order by '.$tabla.'_codigo ';
//echo $sql_lista;
$res_lista=mysql_query($sql_lista,$link_vcrx);
if(mysql_num_rows($res_lista)!=0)
{
?>
<table>
<tr>
	<th>CODIGO</th>
    <th>DESCRI</th>
    <th>STATUS</th>
    <th>ACCION</th>
</tr>
<?php	
	while($row_lista = mysql_fetch_assoc($res_lista))
	{
?>
	<tr>
    	<td align="left"><?php echo $row_lista[$tabla.'_codigo'];?></td>
        <td align="left"><?php echo $row_lista[$tabla.'_descri'];?></td>
        <td align="center"><?php echo $row_lista[$tabla.'_status'];?></td>
        <td align="center">
        	
            <?php if($row_lista[$tabla.'_status']!='X'){?>
            	<input type="button" value="X" onClick="status('<?php echo $tabla;?>','<?php echo $row_lista[$tabla.'_codigo'];?>','X');">
			<?php }else{?>
            		<input type="button" value="V" onClick="status('<?php echo $tabla;?>','<?php echo $row_lista[$tabla.'_codigo'];?>','-');">	 
			<?php } ?>
				
            
        
        </td>
    </tr>
<?php		
	}
?>
</table>
<?php	
}
else
{
	echo '<h2>NO EXISTEN DATOS</h2>';
}
?>